/**
 * Client is a base class that can be extended for clients
 * to be added to Multisearch.
 *<p>
 * @author Kylie McCormick
 * @date 9 July 2008
 */
package edu.arsc.multisearch.backend;

public class Client {

    /** URI of connection.*/
    protected String URL;

    /** The ResultSetWritable which has the results of this call. */
    protected ResultSetWritable rsw;


    /**
     * Create a new client object.
     *
     * @return Client
     */
    public Client() {

	

    }

    /**
     * the function that allows reflection to work
     *
     * @return Cliet
     */
    public Client getInstance() {

	return(new Client());

    }

    /**
     * Call the service that uses this client.
     *
     * @param String query
     */
    public void call(String query) {


    }


    /**
     * Set the URI
     *
     * @param String URI
     */
    public void setURL(String URL) {

	this.URL = URL;

    }

    
    /**
     * Get the ResultSet from this object.
     * 
     * @return ResultSetWritable
     */
    public ResultSetWritable getResultSet() {

	return(rsw);

    }


}
