package edu.arsc.multisearch.backend;

public class OtherTester {


    public static void main(String[] args) throws Exception {


	String query = "";
	for(int i = 0; i < args.length; i++) {

	    query += " " + args[i];

	}

	query = query.trim();

	//Figure out which client we want
	String clientClass = "edu.arsc.multisearch.backend.LuceneClient";
	Class clientMaker = Class.forName(clientClass);

	//create the client
	Client client = (Client)clientMaker.newInstance();

	//Set the URL
	client.setURL("http://snowy.arsc.alaska.edu:8080/axis/services/LuceneServices");

	//Run the call
	client.call(query);

	//get the resultset
	ResultSetWritable rsw1 = client.getResultSet();

	//Figure out which client we want
	String clientClass2 = "edu.arsc.multisearch.backend.LemurIndriClient";
	Class clientMaker2 = Class.forName(clientClass2);

	//create the client
	Client client2 = (Client)clientMaker2.newInstance();

	//Set the URL
	client2.setURL("http://snowy.arsc.alaska.edu:8080/axis/services/LemurIndriServices");

	//Run the call
	client2.call(query);

	//get the resultset
	ResultSetWritable rsw2 = client2.getResultSet();


	if(rsw1 != null) {

	    Document[] docs = rsw1.getResults();

	    if(docs == null) {

		System.out.println("Docs are null.");

	    } else {

		for(int y = 0; y < docs.length; y++) {

		    System.out.println((y+1) + " " + docs[y].getScore());

		}

	    }

	} else {

	    System.out.println("Result set is null.");

	}



	if(rsw2 != null) {

	    Document[] docs2 = rsw2.getResults();

	    if(docs2 == null) {

		System.out.println("Docs are null.");

	    } else {

		for(int x = 0; x < docs2.length; x++) {

		    System.out.println((x+1) + " " + docs2[x].getScore());

		}

	    }

	} else {

	    System.out.println("Result set is null.");

	}

	/*
	NaiveMergeSet nms = new NaiveMergeSet();
	nms.merge(rsw1);
	nms.merge(rsw2);

	nms.print();
	*/
    }


}
