/**
 * Use the matrix work done by Darren to generate an appropriate server
 * list for Hadoop.
 *
 * @author Kylie McCormick, Darren White
 * @version 3.0
 */
package edu.arsc.multisearch.select;

import java.io.File;
import java.io.FileOutputStream;
import java.io.PrintStream;
import java.util.StringTokenizer;

public class MatrixSelect extends Select {

    private String fileBase = "/home/mccormic/merge/programs/inputfiles/";

    static {

	//System.loadLibrary("ItemType");
	System.loadLibrary("hashMake");

    }
    //private native String[] hashMake(ItemType item);


    /**
     * Generates the file for Hadoop input.
     * Writes file by default to /home/mccormic/merge/programs/inputfiles/-name-
     * 
     * @param String query
     * @param int num         the number of servers (max)  to return
     * @return String         the location of the appropriate input files for Hadoop
     */
    public String restrict(String query, int num) {

	numReturn = num;
	filename = "";
	StringTokenizer st = new StringTokenizer(query);

	while(st.hasMoreTokens()) {

	    filename+= st.nextToken() + "_";

	}

	filename = fileBase + filename + "/";

	try {

	    //get the stuff via c - temp holder now
	    //String[] serverlist = hashMake(num);
	    

	    /*
	    for(int x = 0; x < serverlist.length; x++) {
		
		String fileUse = filename + x;
		
		File file = new File(fileUse);
		if(!file.exists()) {
		
		    //open file
		    file.createNewFile();
		    java.io.BufferedWriter out = new java.io.BufferedWriter(new java.io.FileWriter(file, true));
		
		    //generate values!
		    String url = "";
		    String clientclass = "";
		    String name = "";
				
		    //print the stuff
		    out.write("<service>\n");
		    out.write("<url>" + url + "</url>\n");
		    out.write("<clientclass>" + clientclass + "</clientclass>\n");
		    out.write("<name>" + name + "</name>\n");
		    out.write("</service>\n");
		    
		    out.close();

		}

	    } //end for-each-server
	    */

	    return(filename);

	} catch(Exception e) {

	    e.printStackTrace();
	    return("error");

	}

    }


}
