/**
 * An object to parse queries to make sure there are no
 * special characters in them.
 * <p>
 * LAST UPDATED: 12 August 2008
 *
 * @author Kylie McCormick
 * @version 3.0
 */
package edu.arsc.multisearch;

public class QueryParser {

    /**
     * Create new instance.
     */
    public QueryParser() {


    }


    /**
     * @param String
     * @param String
     */
    public String parse(String query) {

	query = query.toLowerCase();
	String blank = "";

	if(query.contains(";")) {
	  
	    query = query.replaceAll(";", blank);

	}


	if(query.contains(":")) {

	    query = query.replaceAll(":", blank);

	}

	if(query.contains("-")) {

	    query = query.replaceAll("-", blank);

	}

	if(query.contains("{")) {

	    query = query.replaceAll("(", blank);

	}

	if(query.contains(")")) {

	    query = query.replaceAll(")", blank);

	}

	if(query.contains("!")) {

	    query = query.replaceAll("!", blank);

	}


	if(query.contains("#")) {

	    query = query.replaceAll("#", blank);

	}


	if(query.contains("@")) {

	    query = query.replaceAll("@", blank);

	}


	if(query.contains("^")) {

	    query = query.replaceAll("^", blank);

	}


	if(query.contains("$")) {

	    query = query.replaceAll("$", blank);

	}


	if(query.contains("*")) {

	    query = query.replaceAll("*", blank);

	}


	if(query.contains("~")) {

	    query = query.replaceAll("~", blank);

	}


	if(query.contains("`")) {

	    query = query.replaceAll("`", blank);

	}

	if(query.contains("<")) {

	    query = query.replaceAll("<", blank);

	}

	if(query.contains(">")) {

	    query = query.replaceAll(">", blank);

	}

	if(query.contains(",")) {

	    query = query.replaceAll(",", blank);

	}

	if(query.contains("/")) {

	    query = query.replaceAll("/", blank);

	}

	if(query.contains("\\")) {

	    query = query.replaceAll("\\", blank);

	}

	if(query.contains("+")) {

	    query = query.replaceAll("+", blank);

	}

	if(query.contains("=")) {

	    query = query.replaceAll("=", blank);

	}

	if(query.contains("[")) {

	    query = query.replaceAll("[", blank);

	}

	if(query.contains("]")) {

	    query = query.replaceAll("]", blank);

	}

	if(query.contains("{")) {

	    query = query.replaceAll("{", blank);

	}

	if(query.contains("}")) {

	    query = query.replaceAll("}", blank);

	}

	if(query.contains("\'")) {

	    query = query.replaceAll("\'", blank);

	}

	if(query.contains("\"")) {

	    query = query.replaceAll("\"", blank);

	}

       query = query.toLowerCase();
       query = query.trim();

       return(query);
	
    }


}
